#version 120
uniform float time;
varying vec3 pos;

void main(){
    pos = gl_Vertex.xyz;
    gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
    gl_TexCoord[0] = gl_MultiTexCoord0 * 1.0 + vec4(-0.006, 0.003, 0.0, 0.0) * time;
    gl_TexCoord[1] = gl_MultiTexCoord0 * 2.0 + vec4(0.001, -0.002, 0.0, 0.0) * time;
}
